	SUBROUTINE KEPLER(MEANANOM,ECCENTR,ECCENTRANOM)
C
C       This subroutine solves Kepler's equation by Newton's method
C
C				Donald H. Gudehus, April 2, 1990
C
C	MEANANOM	(C)	The mean anomaly in degrees
C	ECCENTR		(C)	The eccentricity
C	ECCENTRANOM	(R)	The eccentric anomaly in degrees
C
	REAL*8 MEANANOM,ECCENTR,ECCENTRANOM,MEANANOMRAD,PREVIOUS_EA,DEG_RAD
C
	DEG_RAD=57.29577951308232
	MEANANOMRAD=MEANANOM/DEG_RAD
	ECCENTRANOM=MEANANOMRAD  ! First approximation
	PREVIOUS_EA=0.0
	DO WHILE (ABS(ECCENTRANOM-PREVIOUS_EA).GT.1.8E-15)  ! Empirically 
		! determined limit
	  PREVIOUS_EA=ECCENTRANOM
	  ECCENTRANOM=ECCENTRANOM-(MEANANOMRAD+ECCENTR*DSIN(ECCENTRANOM)-
	1 ECCENTRANOM)/(ECCENTR*DCOS(ECCENTRANOM)-1.0)
	END DO
	ECCENTRANOM=ECCENTRANOM*DEG_RAD
	RETURN
	END
